## conjure-up 0.1.2

=== Makefile ===
#
# Makefile for conjure
#
NAME = conjure-up
TOPDIR := $(shell basename `pwd`)
GIT_REV := $(shell git log --oneline -n1| cut -d" " -f1)
VERSION := $(shell ./tools/version)

.PHONY: install-dependencies
install-dependencies:
	sudo apt-get -yy install devscripts equivs pandoc
	sudo mk-build-deps -i -t "apt-get --no-install-recommends -y" debian/control

.PHONY: uninstall-dependencies
uninstall-dependencies:
	sudo apt-get remove conjure-build-deps

update_version: git-sync-requirements
	wrap-and-sort
	@sed -i -r "s/(^__version__\s=\s)(.*)/\1\"$(VERSION)\"/" conjure/__init__.py

clean:
	@-debian/rules clean
	@rm -rf docs/_build/*
	@rm -rf mockcfgpath
	@rm -rf ../conjure-up_*.deb ../cloud-*.deb ../conjure-up_*.tar.gz ../conjure-up_*.dsc ../conjure-up_*.changes \
		../conjure-up_*.build ../conjure-up-*.deb ../conjure-up_*.upload
	@rm -rf cover
	@rm -rf .coverage
	@rm -rf .tox
	@rm -rf dist

DPKGBUILDARGS = -us -uc -i'.git.*|.tox|.bzr.*|.editorconfig|.travis-yaml|macumba\/debian|maasclient\/debian'
deb-src: clean update_version
	@debuild -S -sa $(DPKGBUILDARGS)

deb-release:
	@debuild -S -sd $(DPKGBUILDARGS)

deb: clean update_version
	@debuild -b $(DPKGBUILDARGS)

current_version:
	@echo $(VERSION)

git-sync-requirements:
	if [ ! -f tools/sync-repo.py ]; then echo "Need to download sync-repo.py from https://git.io/v2mEw" && exit 1; fi
	tools/sync-repo.py -m repo-manifest.json -f

git_rev:
	@echo $(GIT_REV)

pyflakes:
	pyflakes conjure

pep8:
	pep8 conjure

# Indirection to allow 'make run' to build deb automatically, but
# 'make sbuild; make run' will not invoke 'deb'.
../conjure*.deb: deb
	echo "rule to make .deb automatically"

.PHONY: install
install: ../conjure*.deb
	-dpkg -i ../conjure-up_*deb
	-dpkg -i ../conjure-up-${type}*deb
	apt-get -yy install -f

all: deb

## conjure-up 0.1.0

=== debian/changelog ===
conjure-up (0.1.0) xenial-proposed; urgency=medium

  * Change name from conjure to conjure-up
  * Use daily stream for importing LXD images in Juju
  * Update bundle editor to include better navigation between
    relation editing and charm addition
  * Bundle editor will not show recommendedCharms if charm exists
    in current bundle.
  * Facilitates configuring LXD bridge through its dpkg-reconfigure lxd
    mechanism and handles bringing up lxdbr0 for Juju to consume
  * Implemented caching for application config for subsequent status runs

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 14 Apr 2016 16:03:54 -0400

conjure (0.0.8) xenial-proposed; urgency=medium

  * Handle MAAS as a special builtin type rather than a public cloud
  * Support configuring LXD bridge for first run users
  * Add helper functions for use in the processing hooks

 -- Adam Stokes <adam.stokes@ubuntu.com>  Mon, 11 Apr 2016 14:34:31 -0400

conjure (0.0.7) xenial-proposed; urgency=medium

  * pre, post-bootstrap, post execution hooks available per bundle
  * Add additional user feedback in console UI
  * Fail gracefully if run against anything other than Juju 2 or above
  * Support merging bundles, add/removing specific charms, and provide
    search capability via the charmstore API.

 -- Adam Stokes <adam.stokes@ubuntu.com>  Mon, 11 Apr 2016 12:21:40 -0400

conjure (0.0.6) xenial; urgency=medium

  * Initial Release (LP: #1561037)
  * d/control
    - Fix grammatical errors
    - Remove unused build-dep (bundle-placer)
  * d/copyright
    - Fix header to point to correct upstream location
    - remove duplicate copyright globs
    - Add missing copyright directories

 -- Adam Stokes <adam.stokes@ubuntu.com>  Tue, 17 Nov 2015 10:25:15 -0400

=== debian/control ===
Source: conjure-up
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               help2man,
               pep8,
               pyflakes,
               python3-all,
               python3-bson,
               python3-configobj,
               python3-jinja2,
               python3-nose,
               python3-petname,
               python3-requests,
               python3-requests-oauthlib,
               python3-setuptools,
               python3-urwid,
               python3-ws4py,
               python3-yaml
Standards-Version: 3.9.7
Homepage: https://github.com/Ubuntu-Solutions-Engineering/conjure
X-Python3-Version: >= 3.4
Vcs-Browser: https://github.com/Ubuntu-Solutions-Engineering/conjure
Vcs-Git: https://github.com/Ubuntu-Solutions-Engineering/conjure.git

Package: conjure-up
Architecture: all
Depends: jq,
         juju (>= 2.0~),
         lxd,
         lxd-client,
         python3-bson,
         python3-configobj,
         python3-jinja2,
         python3-petname,
         python3-requests,
         python3-requests-oauthlib,
         python3-urwid,
         python3-ws4py,
         python3-yaml,
         rsyslog,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Conflicts: conjure
Replaces: conjure
Provides: conjure
Description: Package runtime for apt-installable juju bundles
 This package provides Conjure, an interface to configuring apt-installable
 packages from the cloud. It utilizes apt, juju, and conjure's custom
 configuration views.

## conjure-up 0.1.1

=== debian/changelog ===
conjure-up (0.1.1) xenial-proposed; urgency=medium

  * Retry on JSON errors (LP: #1575377)

 -- Michael McCracken <mike.mccracken@canonical.com>  Wed, 20 Apr 2016 13:50:00 -0700

## conjure-up 0.1.2

=== debian/changelog ===
conjure-up (0.1.2) xenial-proposed; urgency=medium

  * Fix 'creds' KeyError traceback on cloud selection (LP: #1586131)
  * Support Juju beta7

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 26 May 2016 14:47:10 -0400

=== debian/rules ===
#!/usr/bin/make -f

PKGDIR=debian/conjure-up

export PYBUILD_NAME=conjure-up
export PYBUILD_INSTALL_DIR=usr/share/conjure-up
export PYBUILD_INSTALL_ARGS_python3=--install-lib=usr/share/conjure-up \
	--install-data=usr/ \
	--install-scripts=usr/share/conjure-up \
	--root=$(PKGDIR) \
	--no-compile -O0

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	mkdir -p $(PKGDIR)/usr/share/man/man1
	help2man $(PKGDIR)/usr/share/conjure-up/conjure-up -n "apt install juju bundles" --no-info -o $(PKGDIR)/usr/share/man/man1/conjure-up.1
	dh_install

override_dh_auto_test:
	@echo "No tests."

## conjure-up 0.2.0

=== debian/changelog ===
conjure-up (0.2.0) yakkety; urgency=medium

  * Allow charm config options in bundle to be modified
  * Retry processing on empty JSON results

 -- Michael McCracken <mike.mccracken@canonical.com>  Wed, 20 Apr 2016 13:50:00 -0700

## conjure-up 0.2.1

=== debian/changelog ===
conjure-up (0.2.1) yakkety; urgency=medium

  * Fix 'creds' KeyError traceback on cloud selection (LP: #1586131)
  * Support Juju beta7
  * Retry on JSON errors (LP: #1575377)

 -- Adam Stokes <adam.stokes@ubuntu.com>  Fri, 27 May 2016 08:34:40 -0400

## conjure-up 2.0.1

=== Makefile ===
#
# Makefile for conjure
#
NAME = conjure-up
CURRENT_DIR:=$(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
TOPDIR := $(shell basename `pwd`)
GIT_REV := $(shell git log --oneline -n1| cut -d" " -f1)
VERSION := 2.0.1


.PHONY: install-dependencies
install-dependencies:
	sudo apt-get -yy install devscripts equivs pandoc bsdtar charm charm-tools jq libsystemd-dev
	sudo mk-build-deps -i -t "apt-get --no-install-recommends -y" debian/control

.PHONY: uninstall-dependencies
uninstall-dependencies:
	sudo apt-get remove conjure-build-deps

release: update-version clean test

update-version:
	@sed -i -r "s/(^__version__\s=\s)(.*)/\1\"$(VERSION)\"/" conjureup/__init__.py
	@sed -i -r "1 s/(^conjure-up\s)\(([a-zA-Z0-9\.~\-\+]+)\)/\1\($(VERSION)\)/g" debian/changelog
	@sed -i -r "s/(^version:\s)(.*)/\1$(VERSION)/" snapcraft/snapcraft.yaml

release-snap: update-version clean clean-snapcraft test
	@(cd snapcraft && snapcraft)
	@echo
	@echo "Build complete, now run snapcraft push snapcraft/$(NAME)_$(VERSION)_amd64.snap --release stable"
	@echo

clean:
	@-debian/rules clean
	@rm -rf *egg*
	@rm -rf site.py
	@rm -rf easy-install*
	@rm -rf docs/_build/*
	@rm -rf mockcfgpath
	@rm -rf ../conjure-up_*.deb ../cloud-*.deb ../conjure-up_*.tar.gz ../conjure-up_*.dsc ../conjure-up_*.changes \
		../conjure-up_*.build ../conjure-up-*.deb ../conjure-up_*.upload
	@rm -rf cover
	@rm -rf .coverage
	@rm -rf .tox
	@rm -rf conjure-up
	@rm -rf dist
	@rm -rf conjure-dev

clean-snapcraft:
	@(cd snapcraft && snapcraft clean)

.PHONY: test
test:
	@tox -e py35,flake,isort

DPKGBUILDARGS = -us -uc -i'.git.*|.tox|.bzr.*|.editorconfig|.travis-yaml|macumba\/debian|maasclient\/debian' -i'snapcraft'
deb-src: clean
	@debuild -S -sa $(DPKGBUILDARGS)

deb-release:
	@debuild -S -sd $(DPKGBUILDARGS)

deb: clean
	@debuild -b $(DPKGBUILDARGS)

git-sync-requirements:
	if [ ! -f tools/sync-repo.py ]; then echo "Need to download sync-repo.py from https://git.io/v2mEw" && exit 1; fi
	tools/sync-repo.py -m repo-manifest.json -f

git_rev:
	@echo $(GIT_REV)

dev: clean
	tox -e conjure-dev
	@echo "Run 'source conjure-dev/bin/activate' to enter the dev venv"

# Indirection to allow 'make run' to build deb automatically, but
# 'make sbuild; make run' will not invoke 'deb'.
../conjure*.deb: deb
	echo "rule to make .deb automatically"

.PHONY: install
install: ../conjure*.deb
	sudo dpkg -i ../conjure-up_*deb
	sudo apt-get -yy install -f

# Fix some of the python formatting preferred by pylint
auto-format:
	@tox -e py35 -- isort -rc -m 3 conjureup test tools
	@tox -e py35 -- autopep8 --in-place --recursive conjureup test tools


all: release

=== requirements.txt ===
urwid
pyyaml
jinja2
requests_oauthlib
ws4py==0.3.4
nose
tox
bson
termcolor
petname
six
configobj
progressbar2
prettytable
q

=== debian/changelog ===
conjure-up (2.0.1) yakkety-proposed; urgency=medium

  * New upstream release
  * autopkgtest support
  * Full Juju 2.0 support
  * Full MAAS 2.0 support
  * Extensive post deployment operations that are fully customizable

 -- Adam Stokes <adam.stokes@ubuntu.com>  Thu, 06 Oct 2016 15:24:01 -0400

=== debian/control ===
Source: conjure-up
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               help2man,
               pep8,
               pyflakes,
               python3-all,
               python3-bson,
               python3-jinja2,
               python3-nose,
               python3-petname,
               python3-prettytable,
               python3-progressbar,
               python3-requests,
               python3-requests-oauthlib,
               python3-setuptools,
               python3-termcolor,
               python3-urwid,
               python3-ws4py,
               python3-yaml
Standards-Version: 3.9.7
Homepage: https://github.com/conjure-up/conjure-up
X-Python3-Version: >= 3.5
Vcs-Browser: https://github.com/conjure-up/conjure-up
Vcs-Git: https://github.com/conjure-up/conjure-up.git

Package: conjure-up
Architecture: all
Depends: bsdtar,
         jq,
         juju-2.0,
         lxd,
         git-core,
         lxd-client,
         python3-bson,
         python3-jinja2,
         python3-petname,
         python3-prettytable,
         python3-progressbar,
         python3-requests,
         python3-requests-oauthlib,
         python3-termcolor,
         python3-urwid,
         python3-ws4py,
         python3-yaml,
         rsyslog,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: conjure (<< 0.1)
Replaces: conjure (<< 0.1)
Description: Package runtime for conjure-up spells
 This package provides conjure-up, an interface to installing spells that
 provide the user with an end to end walkthrough experience for installing and
 using big software.

Package: conjure
Section: oldlibs
Architecture: all
Depends: conjure-up, ${misc:Depends}
Description: transitional dummy package for conjure-up
 This is a transitional dummy package for conjure-up. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

PKGDIR=debian/conjure-up

export PYBUILD_NAME=conjure-up
export PYTHONPATH=$(PKGDIR)/usr/lib/python3/dist-packages
export PYBUILD_INSTALL_ARGS_python3=--install-data=usr/ \
	--install-lib=usr/lib/python3/dist-packages \
	--install-scripts=usr/bin \
	--root=$(PKGDIR) \
	--no-compile -O0

%:
	dh $@ --with python3 --buildsystem=pybuild --with systemd

override_dh_installinit:
	dh_systemd_enable -pconjure-up --name=conjure-up conjure-up.service
	dh_installinit -pconjure-up --no-start --noscripts
	dh_systemd_start -pconjure-up --no-restart-on-upgrade

override_dh_systemd_start:
	echo "Not running dh_systemd_start"

override_dh_install:
	mkdir -p $(PKGDIR)/usr/share/man/man1
	help2man $(PKGDIR)/usr/bin/conjure-up -n "conjure-up" --no-info -o $(PKGDIR)/usr/share/man/man1/conjure-up.1
	dh_install

override_dh_auto_test:
	@echo "No tests."

=== debian/tests/control ===
Depends: tox
Test-Command: tox -e py35
